<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

malta_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	echo get_query_var('blog_archive_start');

	$malta_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$malta_sticky_out = is_array($malta_stickies) && count($malta_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($malta_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$malta_sticky_out) {
		if (malta_get_theme_option('first_post_large') && !is_paged() && !in_array(malta_get_theme_option('body_style'), array('fullwide', 'fullscreen'))) {
			the_post();
			get_template_part( 'content', 'excerpt' );
		}
		
		?><div class="columns_wrap posts_container"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($malta_sticky_out && !is_sticky()) {
			$malta_sticky_out = false;
			?></div><div class="columns_wrap posts_container"><?php
		}
		get_template_part( 'content', $malta_sticky_out && is_sticky() ? 'sticky' :'classic' );
	}
	
	?></div><?php

	malta_show_pagination();

	echo get_query_var('blog_archive_end');

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>