<?php
/**
 * The template to displaying popup with Theme Icons
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_icons = malta_get_list_icons();
if (is_array($malta_icons)) {
	?>
	<div class="malta_list_icons">
		<?php
		foreach($malta_icons as $icon) {
			?><span class="<?php echo esc_attr($icon); ?>" title="<?php echo esc_attr($icon); ?>"></span><?php
		}
		?>
	</div>
	<?php
}
?>