<?php
/**
 * The template to display image and page description
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_image = malta_get_theme_option('header_title_image');
$malta_text = malta_get_theme_option('header_title_text');
if (!empty($malta_image) || !empty($malta_text)) {
	?>
	<div class="top_panel_title_2_wrap">
		<div class="content_wrap">
			<div class="top_panel_title_2">
				<?php
				if (!empty($malta_image)) {
					$malta_attr = malta_getimagesize($malta_image);
					echo '<div class="top_panel_title_2_image"><img src="'.esc_url($malta_image).'" '.(!empty($malta_attr[3]) ? sprintf(' %s', $malta_attr[3]) : '').'></div>';
				}
				malta_show_layout($malta_text, '<div class="top_panel_title_2_text">', '</div>');
				?>
			</div>
		</div>
	</div>
	<?php
}
?>