<?php
if ( !function_exists('malta_specific_theme_setup1') ) {
    add_action( 'after_setup_theme', 'malta_specific_theme_setup1', 1 );
    function malta_specific_theme_setup1() {
        add_filter('trx_addons_sc_type', 'malta_specific_sc_add_type', 10, 2);
        add_filter('trx_addons_sc_title_style', 'malta_specific_sc_add_title_style', 10);
        add_filter('trx_addons_filter_team_thumb_size', 'malta_specific_cpt_team_thumb_size', 10, 2);
        add_filter('trx_addons_filter_services_thumb_size', 'malta_specific_cpt_services_thumb_size', 10);
    }
}
if ( !function_exists('malta_specific_sc_add_type') ) {
    function malta_specific_sc_add_type($list, $sc) {
        if ($sc == 'trx_sc_button') {
            $list[esc_html__('Light style', 'malta')] = 'light-style';
        }
        if ($sc == 'trx_sc_promo') {
            $list[esc_html__('Width style', 'malta')] = 'width-style';
        }
        if ($sc == 'trx_sc_price') {
            $list[esc_html__('Inverse style', 'malta')] = 'inverse-style';
        }
        return $list;
    }
}
if ( !function_exists('malta_specific_sc_add_title_style') ) {
    function malta_specific_sc_add_title_style($list) {
            $list[esc_html__('Title medium size', 'malta')] = 'title-medium-size-style';
            $list[esc_html__('Inverse title', 'malta')] = 'inverse-title-style';
        return $list;
    }
}
if ( !function_exists('malta_specific_cpt_team_thumb_size') ) {
    function malta_specific_cpt_team_thumb_size($thumb_size='', $team_type='') {
        if ($team_type == 'short') {
            $thumb_size = malta_get_thumb_size('team');
        }
        return $thumb_size;
    }
}
if ( !function_exists('malta_specific_cpt_services_thumb_size') ) {
    function malta_specific_cpt_services_thumb_size($thumb_size) {
        return malta_get_thumb_size('services');
    }
}
?>