<?php
/**
 * The template for displaying 'Header menu'
 *
 * @package WordPress
 * @subpackage MALTA
 * @since MALTA 1.0
 */

$malta_header_image = get_query_var('malta_header_image');

$malta_malta_menu_header = malta_get_nav_menu('menu_header');

// Store menu layout for the mobile menu
set_query_var('malta_menu_header', $malta_malta_menu_header);

if (!empty($malta_malta_menu_header)) {
	?>
	<div class="top_panel_navi_header 
				<?php if ($malta_header_image!='') echo ' with_bg_image'; ?>
				scheme_<?php echo esc_attr(malta_is_inherit(malta_get_theme_option('header_scheme')) 
													? malta_get_theme_option('color_scheme') 
													: malta_get_theme_option('header_scheme')
											); ?>">
		<div class="menu_header_wrap clearfix menu_hover_<?php echo esc_attr(malta_get_theme_option('menu_hover')); ?>">
			<div class="content_wrap">
				<?php malta_show_layout($malta_malta_menu_header); ?>
			</div>
		</div>
	</div><!-- /.top_panel_navi_top -->
	<?php
}
?>